s﻿<?php
/*
Plugin Name: Online Predictor
Version: 1.0
Author: Kamil Buczek
Author URI: http://codeby.us

*/


session_start();

function op_init(){
	$page_id = get_the_ID();
	$page_data = get_page($page_id); 
	$content = $page_data->post_content;
	if(strpos($content, '[online-predictor]')){
		$OP = new OnlinePredictor();	
	}else{
		echo $content;
	}
}

class OnlinePredictor{

	public $selected_item;
	
	function OnlinePredictor(){
		$selected_step = intval($_SESSION['selected_step']);
		if($selected_step==0) $selected_step = 1;
		
		$this->set_selected_menu_item($selected_step);
		$this->op_display();
	}
	
	function set_selected_menu_item($menu_id=1){
		$this->selected_item = $menu_id;
	}
	
	function set_form_step_completed($item_id){
		$_SESSION['step_'.$item_id] = true;
	}
	
	function unset_form_step_completed($item_id){
	    unset($_SESSION['step_'.$item_id]);
		//session_unregister('step_'.$item_id);
	}
	
	function op_display(){
		//print_r($_SESSION);
		$this->op_load_css();
		$this->op_load_js();
		echo '<div id="online_predictor">';
		echo '<div id="online_predictor_content" style="display:';
		if(intval($this->selected_item)<8 && isset($_SESSION['op_first_time'])) echo 'block'; else echo 'none';
		echo ';">';
		echo '<h1>Online Predictor</h1>';
		$this->op_load_top_menu();
		$this->op_load_tooltips();
		$this->op_load_forms();
		echo '</div>';
		echo '<div id="online_predictor_description" style="display:';
		if(!isset($_SESSION['op_first_time'])) echo 'block'; else echo 'none'; 
		echo ';">';
		echo '<h1>Online Predictor</h1>';	
		echo '<br /><br /><ul>
			<li>People always wonder which one of our Strategies or Programmes might be relevant to them at any given time.<br /><br /></li>
			<li>The aim of this predictor is to allow you to "self diagnose" one of our Strategies, or Programmes, by answering a few questions about your finances.<br /><br /></li>
			<li>This could give you a clearer picture of where you are and what course of action you could do with following. Although you might like what it says, this must not be considered as financial advice.<br /><br /></li>
			<li>If you would like to discuss your predictions personally, we will be more than delighted to help you, once you get in touch with us.</li> 
		</ul><br />
		<center>';
		?>
		<input type="image" src="<?php bloginfo('siteurl'); ?>/wp-content/plugins/online-predictor/img/enter.jpg" name="enter" id="enter" alt="Enter" title="Enter" onclick="enter_op();" />
        <?php
        echo '</center>';
		echo '</div>';
		
		echo '<div id="online_predictor_strategy" style="display:';
		if(intval($this->selected_item)==8 && $_SESSION['step_strategy'] && isset($_SESSION['op_first_time'])) echo 'block'; else echo 'none'; 
		echo ';">';
		echo '<div id="online_predictor_strategy_content">';
		echo $_SESSION['your_strategy'];		
		echo '</div>';
		echo '<div id="online_predictor_strategy_bottom">';
		echo '<a href="javascript:void(0);" onclick="change_info();">&raquo; Change Your info</a><br />';
		echo '<a href="javascript:void(0);" onclick="start_again(0);">&raquo; Let\'s start again</a><br />';
		echo '</div>';
		echo '</div>';
		echo '</div>';
	}
	
	function op_load_css(){
		?>
		<link rel="stylesheet" href="<?php bloginfo('siteurl'); ?>/wp-content/plugins/online-predictor/css/online-predictor.css" type="text/css" media="screen" />
		<?php
    }
	
	function op_load_js(){
		?>
        <script type="text/javascript" src="<?php bloginfo('siteurl'); ?>/wp-content/plugins/online-predictor/js/wz_tooltip.js"></script>
        <script language="javascript" type="text/javascript">
		var selected_step = <?php echo intval($this->selected_item); ?>;

		function enter_op(){

			$('#op_overlay').css('display', 'block');
			$('#op_overlay_content_text').html('Loading. Please wait ...');
			
			jQuery.ajax({
				type: "POST",
				url: '<?php bloginfo('siteurl'); ?>/wp-content/plugins/online-predictor/ajax-online-predictor.php',
				data: "action=enter_op",
				success: function(msg){
					if(msg=='ok'){
						$('#online_predictor_description').hide();
						$('#online_predictor_content').show();
						$('#op_overlay').css('display', 'none');
					}else{
						$('#op_overlay').css('display', 'none');
					}
				}
			});

		}
		
		function start_again(){

			$('#op_overlay').css('display', 'block');
			$('#op_overlay_content_text').html('Loading. Please wait ...');
			
			jQuery.ajax({
				type: "POST",
				url: '<?php bloginfo('siteurl'); ?>/wp-content/plugins/online-predictor/ajax-online-predictor.php',
				data: "action=start_again",
				success: function(msg){
					if(msg=='ok'){
						window.location.reload();
					}else{
						$('#op_overlay').css('display', 'none');
					}
				}
			});

		}
		
		function get_url_data(){
				var url_data_get = '';
				for(i=1;i<28;i++){
					//if other than checkbox or radio
					if(i!=4 && i!=6 && i!=7 &&  i!=10 && i!=11 && i!=14 && i!=15 && i!=17 && i!=19 && i!=20 && i!=21 &&  i!=22 && i!=23 && i!=26 && i!=27 ){
						url_data_get += '&q_'+i+'='+$('#q_'+i).val();
						if(i==8 && $('#q_'+i).val()==4){
							url_data_get += '&q_'+i+'_details='+$('#q_'+i+'_details').val();
						}
					}else if(i==7){
						if($('#q_'+i+'_employed').is(':checked')){
							url_data_get += '&q_'+i+'=employed';
						} else if($('#q_'+i+'_self_employed').is(':checked')){
							url_data_get += '&q_'+i+'=self_employed';
						} else if($('#q_'+i+'_semi_retired').is(':checked')){
							url_data_get += '&q_'+i+'=semi_retired';
						} else if($('#q_'+i+'_retired').is(':checked')){
							url_data_get += '&q_'+i+'=retired';
						}					
					}else if(i==17){					
						url_data_get += '&q_17=';
						for(j=1;j<=9;j++){
							if($('#q_17_'+j).is(':checked')){
								if(j>1) url_data_get += '|';
								url_data_get += j;
							}
						}
						url_data_get += '&q_17_other='+$('#q_17_other').val();
					}else if(i==26){
						url_data_get += '&q_26=';						
						for(j=1;j<=8;j++){
							if($('#q_26_'+j).is(':checked')){
								if(j>1) url_data_get += '|';
								url_data_get += j;
							}
						}
						url_data_get += '&q_26_other='+$('#q_26_other').val();
					}else{
						if($('#q_'+i+'_y').is(':checked')){
							url_data_get += '&q_'+i+'=y';
						} else if($('#q_'+i+'_n').is(':checked')){
							url_data_get += '&q_'+i+'=n';
						}
					}
				}		
				return url_data_get;
		}

		function menu_go_to_step(step_id){
			//if(){
				$('#op_overlay').css('display', 'block');
				$('#op_overlay_content_text').html('Loading. Please wait ...');
				var url_data = '&step_id='+step_id;			
				url_data += get_url_data();
				
				jQuery.ajax({
					type: "POST",
					url: '<?php bloginfo('siteurl'); ?>/wp-content/plugins/online-predictor/ajax-online-predictor.php',
					data: "action=go_to_step"+url_data,
					success: function(msg){
						if(msg=='ok'){
							$('#form_'+selected_step).css('display', 'none');
							$('#op_top_menu_item_top_'+selected_step).css("background-image", "url('<?php bloginfo('siteurl'); ?>/wp-content/plugins/online-predictor/img/item.png')");
							$('#form_'+step_id).css('display', 'block');
							$('#op_top_menu_item_top_'+step_id).css("background-image", "url('<?php bloginfo('siteurl'); ?>/wp-content/plugins/online-predictor/img/item_selected.png')");
							$('#op_item_'+step_id).css('color', '#1D1D1D');
							selected_step = step_id;
							$('#op_overlay').css('display', 'none');
						}else{
							$('#op_overlay').css('display', 'none');
						}
					}
				});
			//}
		}
		
		function go_to_step(step_id){

			$('#op_overlay').css('display', 'block');
			$('#op_overlay_content_text').html('Loading. Please wait ...');

			var url_data = '&step_id='+step_id;
			url_data += get_url_data();
			
			jQuery.ajax({
				type: "POST",
				url: '<?php bloginfo('siteurl'); ?>/wp-content/plugins/online-predictor/ajax-online-predictor.php',
				data: "action=go_to_step"+url_data,
				success: function(msg){
					if(msg=='ok'){
						$('#form_'+selected_step).css('display', 'none');
						$('#op_top_menu_item_top_'+selected_step).css("background-image", "url('<?php bloginfo('siteurl'); ?>/wp-content/plugins/online-predictor/img/item.png')");
						$('#form_'+step_id).css('display', 'block');
						$('#op_top_menu_item_top_'+step_id).css("background-image", "url('<?php bloginfo('siteurl'); ?>/wp-content/plugins/online-predictor/img/item_selected.png')");
						selected_step = step_id;
						$('#op_overlay').css('display', 'none');
					}else{
						$('#op_overlay').css('display', 'none');
					}
				}
			});

		}
		
		function move_next_step(step_id){
			$('#op_overlay').css('display', 'block');
			$('#op_overlay_content_text').html('Loading. Please wait ...');

			var url_data = '&step_id='+step_id;
			url_data += get_url_data();
			
			jQuery.ajax({
				type: "POST",
				url: '<?php bloginfo('siteurl'); ?>/wp-content/plugins/online-predictor/ajax-online-predictor.php',
				data: "action=save_step"+url_data,
				success: function(msg){
					if(msg=='ok'){
						var next_step = step_id+1;
						$('#form_'+selected_step).css('display', 'none');
						$('#op_top_menu_item_top_'+selected_step).css("background-image", "url('<?php bloginfo('siteurl'); ?>/wp-content/plugins/online-predictor/img/item.png')");
						$('#form_'+next_step).css('display', 'block');
						$('#op_top_menu_item_top_'+next_step).css("background-image", "url('<?php bloginfo('siteurl'); ?>/wp-content/plugins/online-predictor/img/item_selected.png')");
						$('#op_item_'+next_step).css('color', '#1D1D1D');
						selected_step = next_step;	
						$('#op_overlay').css('display', 'none');						
					}else{
						$('#op_overlay').css('display', 'none');
					}
				}
			});
		}
		
		function suggest_a_strategy(step_id){
			$('#op_overlay').css('display', 'block');
			$('#op_overlay_content_text').html('Analyze Your plan. Please wait ...');
			var url_data = '&step_id='+step_id;
			url_data += get_url_data();
			
			//alert(url_data);
						
			jQuery.ajax({
				type: "POST",
				url: '<?php bloginfo('siteurl'); ?>/wp-content/plugins/online-predictor/ajax-online-predictor.php',
				data: "action=suggest_a_strategy"+url_data,
				success: function(msg){
					if(msg!='err'){
						var next_step = step_id+1;
						$('#form_'+selected_step).css('display', 'none');
						$('#op_top_menu_item_top_'+selected_step).css("background-image", "url('<?php bloginfo('siteurl'); ?>/wp-content/plugins/online-predictor/img/item.png')");
						$('#online_predictor_content').css('display', 'none');
						$('#online_predictor_strategy_content').html(msg);
						$('#online_predictor_strategy').css('display', 'block');						
						$('#op_overlay').css('display', 'none');						
					}else{
						$('#op_overlay').css('display', 'none');
					}
				}
			});
		}
		
		function change_info(){
			$('#op_overlay').css('display', 'block');
			$('#op_overlay_content_text').html('Loading. Please wait ...');	
						
			jQuery.ajax({
				type: "POST",
				url: '<?php bloginfo('siteurl'); ?>/wp-content/plugins/online-predictor/ajax-online-predictor.php',
				data: "action=change_info",
				success: function(msg){
					if(msg=='ok'){
						selected_step = 1;
						$('#online_predictor_strategy').css('display', 'none');
						$('#online_predictor_strategy_content').html('');
						$('#op_top_menu_item_top_'+selected_step).css("background-image", "url('<?php bloginfo('siteurl'); ?>/wp-content/plugins/online-predictor/img/item_selected.png')");
						$('#form_'+selected_step).css('display', 'block');
						$('#online_predictor_content').css('display', 'block');
						$('#op_overlay').css('display', 'none');
					}else{
						$('#op_overlay').css('display', 'none');
					}
				}
			});					
		}
		
		function display_questions(question, to_show, not_to_show){
			if(to_show!=''){
				$('#'+question+'_'+to_show).slideDown();
			}

			if(not_to_show!=''){
				$('#'+question+'_'+not_to_show).slideUp();
			}
		}
		
		function update_age(){
			var your_age = $('#q_2').val();
			if(your_age>=60){
				$('#is_retired').show();
			}else{
				$('#is_retired').hide();
			}
		}
		
		function show_type_of_work_details(){
			var tow = $('#q_8').val();
			if(tow==4){
				$('#type_of_work_details').show();
			}else{
				$('#type_of_work_details').hide();
			}
		}
		
		function show_q_26_other_box(){
			$('#q_26_other_box').toggle();
		}
		
		function show_q_17_other_box(){
			$('#q_17_other_box').toggle();
		}
		
		function display_q_25(q19, q23){
			if(q19=='y' || (q19=='n' && q23=='y') ){
				$('#q_25_box').show();
			}else{
				$('#q_25_box').hide();
			}
		}
		
		
		</script>
		<?php
    }
	
	
	function op_load_top_menu(){
		?>
        <div id="op_top_menu">
        	<div id="op_top_menu_item_1" class="op_top_menu_item">
            	<div id="op_top_menu_item_top_1" class="op_top_menu_item_top" style="background-image:url('<?php bloginfo('siteurl'); ?>/wp-content/plugins/online-predictor/img/item<?php if(intval($this->selected_item)==1) echo '_selected'; ?>.png');">

                </div>
                <div id="op_top_menu_item_bottom_1<?php if(intval($this->selected_item)==1) echo '_selected'; ?>" class="op_top_menu_item_bottom">
            		<a href="javascript:void(0);" onclick="menu_go_to_step(1);" id="op_item_1" class="item<?php if(intval($this->selected_item)==1 || $_SESSION['step_1']) echo '_selected'; ?>">You</a>
                </div>
            </div>	

        	<div id="op_top_menu_item_2" class="op_top_menu_item">
            	<div id="op_top_menu_item_top_2" class="op_top_menu_item_top" style="background-image:url('<?php bloginfo('siteurl'); ?>/wp-content/plugins/online-predictor/img/item<?php if(intval($this->selected_item)==2) echo '_selected'; ?>.png');">
            	
                </div>
                <div id="op_top_menu_item_bottom<?php if(intval($this->selected_item)==2) echo '_selected'; ?>" class="op_top_menu_item_bottom">
            		<a href="javascript:void(0);" onclick="menu_go_to_step(2);" id="op_item_2" class="item<?php if(intval($this->selected_item)==2 || $_SESSION['step_2']) echo '_selected'; ?>">Career</a>
                </div>
            </div>	

        	<div id="op_top_menu_item_3" class="op_top_menu_item">
            	<div id="op_top_menu_item_top_3" class="op_top_menu_item_top" style="background-image:url('<?php bloginfo('siteurl'); ?>/wp-content/plugins/online-predictor/img/item<?php if(intval($this->selected_item)==3) echo '_selected'; ?>.png');">
            	
                </div>
                <div id="op_top_menu_item_bottom_3<?php if(intval($this->selected_item)==3) echo '_selected'; ?>" class="op_top_menu_item_bottom">
            		<a href="javascript:void(0);" onclick="menu_go_to_step(3);" id="op_item_3" class="item<?php if(intval($this->selected_item)==3 || $_SESSION['step_3']) echo '_selected'; ?>">Main Residence</a>
                </div>
            </div>	

        	<div id="op_top_menu_item_4" class="op_top_menu_item">
            	<div id="op_top_menu_item_top_4" class="op_top_menu_item_top" style="background-image:url('<?php bloginfo('siteurl'); ?>/wp-content/plugins/online-predictor/img/item<?php if(intval($this->selected_item)==4) echo '_selected'; ?>.png');">
            	
                </div>
                <div id="op_top_menu_item_bottom_4<?php if(intval($this->selected_item)==4) echo '_selected'; ?>" class="op_top_menu_item_bottom">
            		<a href="javascript:void(0);" onclick="menu_go_to_step(4);" id="op_item_4" class="item<?php if(intval($this->selected_item)==4 || $_SESSION['step_4']) echo '_selected'; ?>">Investments</a>
                </div>
            </div>	

        	<div id="op_top_menu_item_5" class="op_top_menu_item">
            	<div id="op_top_menu_item_top_5" class="op_top_menu_item_top" style="background-image:url('<?php bloginfo('siteurl'); ?>/wp-content/plugins/online-predictor/img/item<?php if(intval($this->selected_item)==5) echo '_selected'; ?>.png');">
            	
                </div>
                <div id="op_top_menu_item_bottom_5<?php if(intval($this->selected_item)==5) echo '_selected'; ?>" class="op_top_menu_item_bottom">
            		<a href="javascript:void(0);" onclick="menu_go_to_step(5);" id="op_item_5" class="item<?php if(intval($this->selected_item)==5 || $_SESSION['step_5']) echo '_selected'; ?>">Retirement Plans</a>
                </div>
            </div>	

        	<div id="op_top_menu_item_6" class="op_top_menu_item">
            	<div id="op_top_menu_item_top_6" class="op_top_menu_item_top" style="background-image:url('<?php bloginfo('siteurl'); ?>/wp-content/plugins/online-predictor/img/item<?php if(intval($this->selected_item)==6) echo '_selected'; ?>.png');">
            	
                </div>
                <div id="op_top_menu_item_bottom_6<?php if(intval($this->selected_item)==6) echo '_selected'; ?>" class="op_top_menu_item_bottom">
            		<a href="javascript:void(0);" onclick="menu_go_to_step(6);" id="op_item_6" class="item<?php if(intval($this->selected_item)==6 || $_SESSION['step_6']) echo '_selected'; ?>">Current Priorities</a>
                </div>
            </div>	

        	<div id="op_top_menu_item_7" class="op_top_menu_item">
            	<div id="op_top_menu_item_top_7" class="op_top_menu_item_top" style="background-image:url('<?php bloginfo('siteurl'); ?>/wp-content/plugins/online-predictor/img/item<?php if(intval($this->selected_item)==7) echo '_selected'; ?>.png');">
            	
                </div>
                <div id="op_top_menu_item_bottom_7<?php if(intval($this->selected_item)==7) echo '_selected'; ?>" class="op_top_menu_item_bottom">
            		<a href="javascript:void(0);" onclick="menu_go_to_step(7);" id="op_item_7" class="item<?php if(intval($this->selected_item)==7 || $_SESSION['step_7']) echo '_selected'; ?>">Will</a>
                </div>
            </div>	
        
        </div>
        <?php
	}
	
	function op_load_tooltips(){
		?>
        <div id="occupational-pension-scheme" class="tp_box">A scheme set up by an employer to provide retirement and/or death benefits to employees.</div>
        
        <div id="final-salary-scheme" class="tp_box">An <a href="javascript:void(0);" onclick="TagToTip('occupational-pension-scheme', TITLE, 'Occupational Pension Scheme', WIDTH, 250, FOLLOWMOUSE, false, CLOSEBTN, true, CLICKCLOSE, false);" class="tp_box_link">occupational pension scheme</a> that provides benefits based on <a href="javascript:void(0);" onclick="TagToTip('actual-rate', TITLE, 'Accrual Rate', WIDTH, 250, FOLLOWMOUSE, false, CLOSEBTN, true, CLICKCLOSE, false);" class="tp_box_link">accrual rate</a>, <a href="javascript:void(0);" onclick="TagToTip('pensionable-service', TITLE, 'Pensionable Service', WIDTH, 250, FOLLOWMOUSE, false, CLOSEBTN, true, CLICKCLOSE, false);" class="tp_box_link">pensionable service</a> and <a href="javascript:void(0);" onclick="TagToTip('pensionable-salary', TITLE, 'Pensionable Salary', WIDTH, 250, FOLLOWMOUSE, false, CLOSEBTN, true, CLICKCLOSE, false);" class="tp_box_link">pensionable salary</a>.</div>
		
        <div id="actual-rate" class="tp_box">The factor used to calculate benefits in a <a href="javascript:void(0);" onclick="TagToTip('defined-benefit-scheme', TITLE, 'Defined Benefit Scheme', WIDTH, 250, FOLLOWMOUSE, false, CLOSEBTN, true, CLICKCLOSE, false);" class="tp_box_link">defined benefit scheme</a>. For example, a scheme with an accrual rate of 1/60th, will provide 1/60th of <a href="javascript:void(0);" onclick="TagToTip('pensionable-salary', TITLE, 'Pensionable Salary', WIDTH, 250, FOLLOWMOUSE, false, CLOSEBTN, true, CLICKCLOSE, false);" class="tp_box_link">pensionable salary</a> for each year of <a href="javascript:void(0);" onclick="TagToTip('pensionable-service', TITLE, 'Pensionable Service', WIDTH, 250, FOLLOWMOUSE, false, CLOSEBTN, true, CLICKCLOSE, false);" class="tp_box_link">pensionable service</a>.</div>
        
        <div id="defined-benefit-scheme" class="tp_box">An <a href="javascript:void(0);" onclick="TagToTip('occupational-pension-scheme', TITLE, 'Occupational Pension Scheme', WIDTH, 250, FOLLOWMOUSE, false, CLOSEBTN, true, CLICKCLOSE, false);" class="tp_box_link">occupational pension scheme</a> that provides benefits based on <a href="javascript:void(0);" onclick="TagToTip('actual-rate', TITLE, 'Accrual Rate', WIDTH, 250, FOLLOWMOUSE, false, CLOSEBTN, true, CLICKCLOSE, false);" class="tp_box_link">accrual rate</a>, <a href="javascript:void(0);" onclick="TagToTip('pensionable-service', TITLE, 'Pensionable Service', WIDTH, 250, FOLLOWMOUSE, false, CLOSEBTN, true, CLICKCLOSE, false);" class="tp_box_link">pensionable service</a> and <a href="javascript:void(0);" onclick="TagToTip('pensionable-salary', TITLE, 'Pensionable Salary', WIDTH, 250, FOLLOWMOUSE, false, CLOSEBTN, true, CLICKCLOSE, false);" class="tp_box_link">pensionable salary</a>.</div>
                
        <div id="pensionable-salary" class="tp_box">Earnings used to calculate retirement benefits in a <a href="javascript:void(0);" onclick="TagToTip('defined-benefit-scheme', TITLE, 'Defined Benefit Scheme', WIDTH, 250, FOLLOWMOUSE, false, CLOSEBTN, true, CLICKCLOSE, false);" class="tp_box_link">defined benefit scheme</a>.</div>
        
        <div id="pensionable-service" class="tp_box">Length of qualifying time in a <a href="javascript:void(0);" onclick="TagToTip('defined-benefit-scheme', TITLE, 'Defined Benefit Scheme', WIDTH, 250, FOLLOWMOUSE, false, CLOSEBTN, true, CLICKCLOSE, false);" class="tp_box_link">defined benefit scheme</a> used to calculate retirement benefits.</div>
        
       	<div id="defined-contribution-scheme" class="tp_box">A scheme that provides retirement benefits based on the build up of a 'pot' of money, accumulated through the investment of contributions paid by both the employee and the employer.</div>
        
        <div id="group-personal-pension" class="tp_box">A collection of <a href="javascript:void(0);" onclick="TagToTip('personal-pension-plans', TITLE, 'Personal Pension Plans', WIDTH, 250, FOLLOWMOUSE, false, CLOSEBTN, true, CLICKCLOSE, false);" class="tp_box_link">personal pension plans</a> provided by an employer to its staff.</div>
		
		<div id="personal-pension-plans" class="tp_box">A type of <a href="javascript:void(0);" onclick="TagToTip('defined-contribution-scheme', TITLE, 'Defined Contribution Scheme', WIDTH, 250, FOLLOWMOUSE, false, CLOSEBTN, true, CLICKCLOSE, false);" class="tp_box_link">defined contribution scheme</a>. Provides retirement benefits based on the build up of a 'pot' of money, accumulated through the investment of contributions.</div>
        
        <div id="stakeholder-pension-scheme" class="tp_box">A type of <a href="javascript:void(0);" onclick="TagToTip('personal-pension-plans', TITLE, 'Personal Pension Plans', WIDTH, 250, FOLLOWMOUSE, false, CLOSEBTN, true, CLICKCLOSE, false);" class="tp_box_link">personal pension plan</a>, offering a low-cost and flexible alternative and which must comply with requirements laid down in legislation.</div>
        
		<?php
	}
	
	
	function op_load_forms(){

				?>
			<div id="op_overlay">
                <div id="op_overlay_content">
                    <img src="<?php bloginfo('siteurl'); ?>/wp-content/plugins/online-predictor/img/ajax-loader.gif" alt="" title="" border="0" style="margin:0 0 10px 0;" /><br />
                    <span id="op_overlay_content_text">Loading. Please wait ...</span>
                </div>
			</div>				

            <div id="forms"> 
                <div class="form" id="form_1" style="display:<?php if(intval($this->selected_item)==1) echo 'block'; else echo 'none'; ?>;">
                
                    <div class="fieldset">
                        <div class="fieldset_item_first" id="fieldset_item_q_1">
                            <h2>What is your name?</h2>
                            <input type="text" name="q_1" id="q_1" class="op_form" value="<?php echo $_SESSION['q_1']; ?>" />
                        </div>
                    </div>
                    
                    <div class="fieldset">
                        <div class="fieldset_item_first" id="fieldset_item_q_2">
                            <h2>What is your age?</h2>
                            <input type="text" name="q_2" id="q_2" class="op_form" value="<?php echo $_SESSION['q_2']; ?>" maxlength="3" style="width:80px;" onkeyup="update_age();" />
                        </div>
                    </div>
                    
                    <div class="fieldset">
                        <div class="fieldset_item_first" id="fieldset_item_q_3">
                            <h2>Marital Status</h2>
                            <select name="q_3" id="q_3" class="op_form">
                                <option value="0">please select</option>
                                <option value="1"<?php if($_SESSION['q_3']=='1') echo ' selected="selected"'; ?>>single</option>
                                <option value="2"<?php if($_SESSION['q_3']=='2') echo ' selected="selected"'; ?>>married</option>
                                <option value="3"<?php if($_SESSION['q_3']=='3') echo ' selected="selected"'; ?>>divorced</option>
                                <option value="4"<?php if($_SESSION['q_3']=='4') echo ' selected="selected"'; ?>>widowed/widower</option>
                            </select>
                        </div>
                    </div>
                    
    
                    <div class="fieldset">
                        <div class="fieldset_item_first" id="fieldset_item_q_4">
                            <h2>Do you have any financial dependants?</h2>
                            <label for="q_4_y"><input type="radio" value="y" name="q_4" id="q_4_y"<?php if($_SESSION['q_4']=='y') echo ' checked="checked"'; ?> onclick="display_questions('q_4', 'yes', '');" /> yes</label>
                            <label for="q_4_n"><input type="radio" value="n" name="q_4" id="q_4_n"<?php if($_SESSION['q_4']=='n') echo ' checked="checked"'; ?> onclick="display_questions('q_4', '', 'yes');" /> no</label>
                        </div>
                        
                      	<div id="q_4_yes" style="display:<?php if($_SESSION['q_4']=='y') echo 'block'; else echo 'none'; ?>;">
                            <div class="fieldset_item" id="fieldset_item_q_5" style="padding-top:20px;">
                                <h3>How many?</h3>
                                <input type="text" name="q_5" id="q_5" class="op_form" value="<?php echo $_SESSION['q_5']; ?>" />
                            </div>
                            
                            <div class="fieldset_item" id="fieldset_item_q_6" style="padding-top:20px;">
                                <h3>Are you planning to, or in the process of, funding their education?</h3><br /><br />
                                <label for="q_6_y"><input type="radio" value="y" name="q_6" id="q_6_y"<?php if($_SESSION['q_6']=='y') echo ' checked="checked"'; ?> /> yes</label>
                                <label for="q_6_n"><input type="radio" value="n" name="q_6" id="q_6_n"<?php if($_SESSION['q_6']=='n') echo ' checked="checked"'; ?> /> no</label>
                            </div>
                        </div>
                    </div>
                    
                    
                    <div class="fieldset_bottom">
                       	<div class="fieldset_bottom_left">
                        	&nbsp;
                        </div>
                        <div class="fieldset_bottom_right">
                        	<input type="image" src="<?php bloginfo('siteurl'); ?>/wp-content/plugins/online-predictor/img/next-step.jpg" name="next_step_1" id="next_step_1" alt="Next step" title="Next step" onclick="move_next_step(1);" />
                        </div>
                    </div>
                    
				</div>				

                <div class="form" id="form_2" style="display:<?php if(intval($this->selected_item)==2) echo 'block'; else echo 'none'; ?>;">
                
                    <div class="fieldset">
                        <div class="fieldset_item_first" id="fieldset_item_q_7">
                            <h2>Are you employed or self employed?</h2>
                            <label for="q_7_employed"><input type="radio" value="employed" name="q_7" id="q_7_employed"<?php if($_SESSION['q_7']=='employed') echo ' checked="checked"'; ?> /> employed</label>
                            <label for="q_7_self_employed"><input type="radio" value="self_employed" name="q_7" id="q_7_self_employed"<?php if($_SESSION['q_7']=='self_employed') echo ' checked="checked"'; ?> /> self employed</label>
                            <div id="is_retired" style="display:<?php if(isset($_SESSION['q_2']) && intval($_SESSION['q_2'])>=60) echo 'inline'; else echo 'none'; ?>;">
                                <label for="q_7_semi_retired"><input type="radio" value="semi_retired" name="q_7" id="q_7_semi_retired"<?php if($_SESSION['q_7']=='semi_retired') echo ' checked="checked"'; ?> /> semi-retired</label>
                                <label for="q_7_retired"><input type="radio" value="retired" name="q_7" id="q_7_retired"<?php if($_SESSION['q_7']=='retired') echo ' checked="checked"'; ?> /> retired</label>
                            </div>
                        </div>
                    </div>
                    
                    <div class="fieldset">
                        <div class="fieldset_item_first" id="fieldset_item_q_8">
                            <h2>Type of work</h2>
                            <select name="q_8" id="q_8" class="op_form" onchange="show_type_of_work_details();">
                                <option value="0">please select</option>
                                <option value="1"<?php if($_SESSION['q_8']=='1') echo ' selected="selected"'; ?>>professional</option>
                                <option value="2"<?php if($_SESSION['q_8']=='2') echo ' selected="selected"'; ?>>manager</option>
                                <option value="3"<?php if($_SESSION['q_8']=='3') echo ' selected="selected"'; ?>>company owner/director</option>
                                <option value="4" <?php if($_SESSION['q_8']=='4') echo ' selected="selected"'; ?>>other</option>
                            </select>
                            <div id="type_of_work_details" style="display:<?php if(isset($_SESSION['q_8']) && intval($_SESSION['q_8'])==4) echo 'block'; else echo 'none'; ?>; padding:10px 0 0 0;">
                            <h3>Enter your type of work: </h3>
                            <input type="text" name="q_8_details" id="q_8_details" class="op_form" value="<?php echo $_SESSION['q_8_details']; ?>" />
                            </div>
                        </div>
                    </div>


                    <div class="fieldset">
                        <div class="fieldset_item_first" id="fieldset_item_q_9">
                            <h2>Your annual income (or net relevant earnings)</h2>
                            <select name="q_9" id="q_9" class="op_form">
                                <option value="0">please select</option>
                                <option value="1"<?php if($_SESSION['q_9']=='1') echo ' selected="selected"'; ?>>Less than Â£35,000</option>
                                <option value="2"<?php if($_SESSION['q_9']=='2') echo ' selected="selected"'; ?>>Â£35,000-Â£50,000</option>
                                <option value="3"<?php if($_SESSION['q_9']=='3') echo ' selected="selected"'; ?>>Â£50,000-Â£100,000</option>
                                <option value="4"<?php if($_SESSION['q_9']=='4') echo ' selected="selected"'; ?>>Â£100,000+</option>
                            </select>
                        </div>
                    </div>
                                        
                    <div class="fieldset_bottom">
                       	<div class="fieldset_bottom_left">
                        	<a href="javascript:void(0);" onclick="go_to_step(1);" class="back">&laquo; Back</a>
                        </div>
                        <div class="fieldset_bottom_right">
                        	<input type="image" src="<?php bloginfo('siteurl'); ?>/wp-content/plugins/online-predictor/img/next-step.jpg" name="next_step_2" id="next_step_2" alt="Next step" title="Next step" onclick="move_next_step(2);" />
                        </div>
                    </div>
                    
				</div>				

                <div class="form" id="form_3" style="display:<?php if(intval($this->selected_item)==3) echo 'block'; else echo 'none'; ?>;">
                
                    <div class="fieldset">
                        <div class="fieldset_item_first" id="fieldset_item_q_10">
                            <h2>Do you own a house?</h2>
                            <label for="q_10_y"><input type="radio" value="y" name="q_10" id="q_10_y"<?php if($_SESSION['q_10']=='y') echo ' checked="checked"'; ?> onclick="display_questions('q_10', 'yes', 'no');" /> yes</label>
                            <label for="q_10_n"><input type="radio" value="n" name="q_10" id="q_10_n"<?php if($_SESSION['q_10']=='n') echo ' checked="checked"'; ?> onclick="display_questions('q_10', 'no', 'yes');" /> no</label>
                        </div>

						<div id="q_10_yes" style="display:<?php if($_SESSION['q_10']=='y') echo 'block'; else echo 'none'; ?>;">
                        
                            <div class="fieldset_item" id="fieldset_item_q_11" style="padding-top:20px;">
                                <h3>Is it mortgaged?</h3><br /><br />
                                <label for="q_11_y"><input type="radio" value="y" name="q_11" id="q_11_y"<?php if($_SESSION['q_11']=='y') echo ' checked="checked"'; ?> /> yes</label>
                                <label for="q_11_n"><input type="radio" value="n" name="q_11" id="q_11_n"<?php if($_SESSION['q_11']=='n') echo ' checked="checked"'; ?> /> no</label>
                            </div>
                            
                            <div class="fieldset_item" id="fieldset_item_q_12" style="padding-top:20px;">
                                <h3>Outstanding balance?</h3><br /><br />
                                <select name="q_12" id="q_12" class="op_form">
                                    <option value="0">please select</option>
                                	<option value="1"<?php if($_SESSION['q_12']=='1') echo ' selected="selected"'; ?>>Less than Â£100,000</option>
                                    <option value="2"<?php if($_SESSION['q_12']=='2') echo ' selected="selected"'; ?>>Â£100,000-Â£200,000</option>
                                    <option value="3"<?php if($_SESSION['q_12']=='3') echo ' selected="selected"'; ?>>Â£200,000-Â£350,000</option>
                                    <option value="4"<?php if($_SESSION['q_12']=='4') echo ' selected="selected"'; ?>>Â£350,000-Â£500,000</option>
                                    <option value="5"<?php if($_SESSION['q_12']=='5') echo ' selected="selected"'; ?>>Â£500,000 +</option>
                                </select>
                            </div>
                            
                            <div class="fieldset_item" id="fieldset_item_q_13" style="padding-top:20px;">
                                <h3>How long before it's repaid?</h3>
                                <input type="text" name="q_13" id="q_13" class="op_form" value="<?php echo $_SESSION['q_13']; ?>" style="width:80px;" /> years
                            </div>
                            
                        </div>

						<div id="q_10_no" style="display:<?php if($_SESSION['q_10']=='n') echo 'block'; else echo 'none'; ?>;">
                        	<div class="fieldset_item" id="fieldset_item_q_14" style="padding-top:20px;">
                                <h3>Do you want to buy a house?</h3><br /><br />
                                <label for="q_14_y"><input type="radio" value="y" name="q_14" id="q_14_y"<?php if($_SESSION['q_14']=='y') echo ' checked="checked"'; ?> /> yes</label>
                                <label for="q_14_n"><input type="radio" value="n" name="q_14" id="q_14_n"<?php if($_SESSION['q_14']=='n') echo ' checked="checked"'; ?> /> no</label>
                            </div>                                                        
                        </div>
					</div>
                    
                    <div class="fieldset">
                           <div class="fieldset_item_first" id="fieldset_item_q_15" style="padding-top:20px;">
                                <h2>Any other loans?</h2>
                                <label for="q_15_y"><input type="radio" value="y" name="q_15" id="q_15_y"<?php if($_SESSION['q_15']=='y') echo ' checked="checked"'; ?> onclick="display_questions('q_15', 'yes', '');" /> yes</label>
                                <label for="q_15_n"><input type="radio" value="n" name="q_15" id="q_15_n"<?php if($_SESSION['q_15']=='n') echo ' checked="checked"'; ?> onclick="display_questions('q_15', '', 'yes');" /> no</label>
                            </div>
							
                            <div id="q_15_yes" style="display:<?php if($_SESSION['q_15']=='y') echo 'block'; else echo 'none'; ?>;">
                                <div class="fieldset_item" id="fieldset_item_q_16" style="padding-top:20px;">
                                    <h3>How much debt?</h3>
                                    <input type="text" name="q_16" id="q_16" class="op_form" value="<?php echo $_SESSION['q_16']; ?>" style="width:150px;" />
                                </div>
                            </div>
					</div>
                    
                                        
                    <div class="fieldset_bottom">
                       	<div class="fieldset_bottom_left">
                        	<a href="javascript:void(0);" onclick="go_to_step(2);" class="back">&laquo; Back</a>
                        </div>
                        <div class="fieldset_bottom_right">
                        	<input type="image" src="<?php bloginfo('siteurl'); ?>/wp-content/plugins/online-predictor/img/next-step.jpg" name="next_step_3" id="next_step_3" alt="Next step" title="Next step" onclick="move_next_step(3);" />
                        </div>
                    </div>
                    
				</div>				

                <div class="form" id="form_4" style="display:<?php if(intval($this->selected_item)==4) echo 'block'; else echo 'none'; ?>;">
                
                    <div class="fieldset">
                        <div class="fieldset_item_first" id="fieldset_item_q_17">
                            <h2>Do you own any of the following investment vehicles</h2>
                            <label for="q_17_1"><input type="checkbox" value="1" name="q_17" id="q_17_1"<?php if(isset($_SESSION['q_17']) && in_array('1', $_SESSION['q_17'])) echo ' checked="checked"'; ?> /> National Savings</label><br />
                            <label for="q_17_2"><input type="checkbox" value="2" name="q_17" id="q_17_2"<?php if(isset($_SESSION['q_17']) && in_array('2', $_SESSION['q_17'])) echo ' checked="checked"'; ?> /> Cash ISA</label><br />
                            <label for="q_17_3"><input type="checkbox" value="3" name="q_17" id="q_17_3"<?php if(isset($_SESSION['q_17']) && in_array('3', $_SESSION['q_17'])) echo ' checked="checked"'; ?> /> Stocks and Shares ISA</label><br />
                            <label for="q_17_4"><input type="checkbox" value="4" name="q_17" id="q_17_4"<?php if(isset($_SESSION['q_17']) && in_array('4', $_SESSION['q_17'])) echo ' checked="checked"'; ?> /> Unit Trust or OEIC</label><br />
                            <label for="q_17_5"><input type="checkbox" value="5" name="q_17" id="q_17_5"<?php if(isset($_SESSION['q_17']) && in_array('5', $_SESSION['q_17'])) echo ' checked="checked"'; ?> /> Investment Trust</label><br />
                            <label for="q_17_6"><input type="checkbox" value="6" name="q_17" id="q_17_6"<?php if(isset($_SESSION['q_17']) && in_array('6', $_SESSION['q_17'])) echo ' checked="checked"'; ?> /> Investment Bond</label><br />
                            <label for="q_17_7"><input type="checkbox" value="7" name="q_17" id="q_17_7"<?php if(isset($_SESSION['q_17']) && in_array('7', $_SESSION['q_17'])) echo ' checked="checked"'; ?> /> Venture Capital Trust</label><br />
                            <label for="q_17_8"><input type="checkbox" value="8" name="q_17" id="q_17_8"<?php if(isset($_SESSION['q_17']) && in_array('8', $_SESSION['q_17'])) echo ' checked="checked"'; ?> /> Enterprise Investment Scheme</label><br />
                            <label for="q_17_9"><input type="checkbox" value="9" name="q_17" id="q_17_9"<?php if(isset($_SESSION['q_17']) && in_array('9', $_SESSION['q_17'])) echo ' checked="checked"'; ?> /> Film Partnership</label><br />
                            <label for="q_17_10"><input type="checkbox" value="10" name="q_17" id="q_17_10" onclick="show_q_17_other_box();"<?php if(isset($_SESSION['q_17']) && in_array('10', $_SESSION['q_17'])) echo ' checked="checked"'; ?> /> Other</label> <span id="q_17_other_box" style="display:<?php if(isset($_SESSION['q_17']) && in_array('10', $_SESSION['q_17'])) echo 'inline'; else echo 'none'; ?>;"><input type="text" name="q_17_other" id="q_17_other" class="op_form" value="<?php echo $_SESSION['q_17_other']; ?>" style="width:200px;" /></span>
                        </div>
                    </div>


                    <div class="fieldset">
                        <div class="fieldset_item_first" id="fieldset_item_q_18">
                            <h2>Roughly, how much are in the above?</h2>
                            <select name="q_18" id="q_18" class="op_form">
                            	<option value="0">please select</option>
                                <option value="1"<?php if($_SESSION['q_18']=='1') echo ' selected="selected"'; ?>>Less than Â£50,000</option>
                                <option value="2"<?php if($_SESSION['q_18']=='2') echo ' selected="selected"'; ?>>Â£50,000 - Â£100,000</option>
                                <option value="3"<?php if($_SESSION['q_18']=='3') echo ' selected="selected"'; ?>>Â£100,000 - Â£250,000</option>
                                <option value="4"<?php if($_SESSION['q_18']=='4') echo ' selected="selected"'; ?>>Â£250,000 +</option>
                            </select>
                        </div>
                    </div>
                    
                    
                    <div class="fieldset_bottom">
                    	<div class="fieldset_bottom_left">
                        	<a href="javascript:void(0);" onclick="go_to_step(3);" class="back">&laquo; Back</a>
                        </div>
                        <div class="fieldset_bottom_right">
    						<input type="image" src="<?php bloginfo('siteurl'); ?>/wp-content/plugins/online-predictor/img/next-step.jpg" name="next_step_4" id="next_step_4" alt="Next step" title="Next step" onclick="move_next_step(4);" />
                    	</div>
                    </div>
                    
				</div>				

                <div class="form" id="form_5" style="display:<?php if(intval($this->selected_item)==5) echo 'block'; else echo 'none'; ?>;">
                
                    <div class="fieldset">
                        <div class="fieldset_item_first">
                            <h2>As for pensions, are you:</h2>
                        </div>

                        <div class="fieldset_item" id="fieldset_item_q_19">
                            <h3>A member of an occupational pension scheme?</h3><img src="<?php bloginfo('siteurl'); ?>/wp-content/plugins/online-predictor/img/help.png" style="vertical-align:middle; margin-left:5px; cursor:pointer;" onclick="TagToTip('occupational-pension-scheme', TITLE, 'Occupational Pension Scheme', WIDTH, 250, FOLLOWMOUSE, false, CLOSEBTN, true, CLICKCLOSE, false);" /><br /><br />
                            <label for="q_19_y"><input type="radio" value="y" name="q_19" id="q_19_y"<?php if($_SESSION['q_19']=='y') echo ' checked="checked"'; ?> onclick="display_questions('q_19', 'yes', 'no'); display_q_25('y','y');" /> yes</label>
                            <label for="q_19_n"><input type="radio" value="n" name="q_19" id="q_19_n"<?php if($_SESSION['q_19']=='n') echo ' checked="checked"'; ?> onclick="display_questions('q_19', 'no', 'yes'); display_q_25('n','n');" /> no</label>
                        </div>


						<div id="q_19_yes" style="display:<?php if($_SESSION['q_19']=='y') echo 'block'; else echo 'none'; ?>;">
                        
                            <div class="fieldset_item" id="fieldset_item_q_20" style="padding-top:20px;">
                                <h3>Government or other Final Salary Scheme?</h3><img src="<?php bloginfo('siteurl'); ?>/wp-content/plugins/online-predictor/img/help.png" style="vertical-align:middle; margin-left:5px; cursor:pointer;" onclick="TagToTip('final-salary-scheme', TITLE, 'Final Salary Scheme', WIDTH, 250, FOLLOWMOUSE, false, CLOSEBTN, true, CLICKCLOSE, false);" /><br /><br />
                                <label for="q_20_y"><input type="radio" value="y" name="q_20" id="q_20_y"<?php if($_SESSION['q_20']=='y') echo ' checked="checked"'; ?> /> government</label>
                                <label for="q_20_n"><input type="radio" value="n" name="q_20" id="q_20_n"<?php if($_SESSION['q_20']=='n') echo ' checked="checked"'; ?> /> other</label>
                            </div>
                            
                        	<div class="fieldset_item" id="fieldset_item_q_21" style="padding-top:20px;">
                                <h3>Defined Contribution Scheme?</h3><img src="<?php bloginfo('siteurl'); ?>/wp-content/plugins/online-predictor/img/help.png" style="vertical-align:middle; margin-left:5px; cursor:pointer;" onclick="TagToTip('defined-contribution-scheme', TITLE, 'Defined Contribution Scheme', WIDTH, 250, FOLLOWMOUSE, false, CLOSEBTN, true, CLICKCLOSE, false);" /><br /><br />
                                <label for="q_21_y"><input type="radio" value="y" name="q_21" id="q_21_y"<?php if($_SESSION['q_21']=='y') echo ' checked="checked"'; ?> /> yes</label>
                                <label for="q_21_n"><input type="radio" value="n" name="q_21" id="q_21_n"<?php if($_SESSION['q_21']=='n') echo ' checked="checked"'; ?> /> no</label>
                            </div>
                            
                            <div class="fieldset_item" id="fieldset_item_q_22" style="padding-top:20px;">
                                <h3>Group Personal Pension (GPP)</h3><img src="<?php bloginfo('siteurl'); ?>/wp-content/plugins/online-predictor/img/help.png" style="vertical-align:middle; margin-left:5px; cursor:pointer;" onclick="TagToTip('group-personal-pension', TITLE, 'Group Personal Pension (GPP)', WIDTH, 250, FOLLOWMOUSE, false, CLOSEBTN, true, CLICKCLOSE, false);" /><br />
                                <label for="q_22_y"><input type="radio" value="y" name="q_22" id="q_22_y"<?php if($_SESSION['q_22']=='y') echo ' checked="checked"'; ?> /> yes</label>
                                <label for="q_22_n"><input type="radio" value="n" name="q_22" id="q_22_n"<?php if($_SESSION['q_22']=='n') echo ' checked="checked"'; ?> /> no</label>                            </div>


                        </div>

						<div id="q_19_no" style="display:<?php if($_SESSION['q_19']=='n') echo 'block'; else echo 'none'; ?>;">
                        	
                            <div class="fieldset_item" id="fieldset_item_q_23" style="padding-top:20px;">
                                <h3>Do you have any personal (including stakeholder <img src="<?php bloginfo('siteurl'); ?>/wp-content/plugins/online-predictor/img/help.png" style="vertical-align:middle; margin-left:5px; margin-right:5px; cursor:pointer;" onclick="TagToTip('stakeholder-pension-scheme', TITLE, 'Stakeholder Pension Scheme', WIDTH, 250, FOLLOWMOUSE, false, CLOSEBTN, true, CLICKCLOSE, false);" />) pension plans?</h3><br /><br />
                                <label for="q_23_y"><input type="radio" value="y" name="q_23" id="q_23_y"<?php if($_SESSION['q_23']=='y') echo ' checked="checked"'; ?> onclick="display_questions('q_23', 'yes', ''); display_q_25('n','y');" /> yes</label>
                                <label for="q_23_n"><input type="radio" value="n" name="q_23" id="q_23_n"<?php if($_SESSION['q_23']=='n') echo ' checked="checked"'; ?> onclick="display_questions('q_23', '', 'yes'); display_q_25('n','n');" /> no</label>
                            </div>
                            
                            <div id="q_23_yes" style="display:<?php if($_SESSION['q_23']=='y') echo 'block'; else echo 'none'; ?>;">
                            
                                <div class="fieldset_item" id="fieldset_item_q_24" style="padding-top:20px;">
                                    <h3>How many plans in total?</h3>
                                    <input type="text" name="q_24" id="q_24" class="op_form" value="<?php echo $_SESSION['q_24']; ?>" style="width:150px;" />
                                </div>

							</div>                            
                        </div>

                    </div>

                    
                                        
                    <div class="fieldset_bottom">
                       	<div class="fieldset_bottom_left">
                        	<a href="javascript:void(0);" onclick="go_to_step(4);" class="back">&laquo; Back</a>
                        </div>
                        <div class="fieldset_bottom_right">
                        	<input type="image" src="<?php bloginfo('siteurl'); ?>/wp-content/plugins/online-predictor/img/next-step.jpg" name="next_step_5" id="next_step_5" alt="Next step" title="Next step" onclick="move_next_step(5);" />
                        </div>
                    </div>
                    
				</div>				

                <div class="form" id="form_6" style="display:<?php if(intval($this->selected_item)==6) echo 'block'; else echo 'none'; ?>;">
                                	
                    <div class="fieldset" id="q_25_box" style="display:<?php if( $_SESSION['q_19']=='y' || ($_SESSION['q_19']=='n' && $_SESSION['q_23']=='y' ) ) echo 'block'; else echo 'none'; ?>;">
                        <div class="fieldset_item_first" id="fieldset_item_q_25">
                            <h2>Roughly, how much is the total fund value in the above retirement plans?</h2>
                            <select name="q_25" id="q_25" class="op_form">
                            	<option value="0">please select</option>
                                <option value="1"<?php if($_SESSION['q_25']=='1') echo ' selected="selected"'; ?>>Less than Â£50,000</option>
                                <option value="2"<?php if($_SESSION['q_25']=='2') echo ' selected="selected"'; ?>>Â£50,000-Â£100,000</option>
                                <option value="3"<?php if($_SESSION['q_25']=='3') echo ' selected="selected"'; ?>>Â£100,000-Â£500,000</option>
                                <option value="4"<?php if($_SESSION['q_25']=='4') echo ' selected="selected"'; ?>>Â£500,000 +</option>
                            </select>
                        </div>
                    </div>
                    
                     <div class="fieldset">
                        <div class="fieldset_item_first" id="fieldset_item_q_26">
                            <h2>What are your current financial priorities</h2>
                            <label for="q_26_1"><input type="checkbox" value="1" name="q_26" id="q_26_1"<?php if(isset($_SESSION['q_26']) && in_array('1', $_SESSION['q_26'])) echo ' checked="checked"'; ?> /> Financial organisation</label><br />
                            <label for="q_26_2"><input type="checkbox" value="2" name="q_26" id="q_26_2"<?php if(isset($_SESSION['q_26']) && in_array('2', $_SESSION['q_26'])) echo ' checked="checked"'; ?> /> Debt repayment</label><br />
                            <label for="q_26_3"><input type="checkbox" value="3" name="q_26" id="q_26_3"<?php if(isset($_SESSION['q_26']) && in_array('3', $_SESSION['q_26'])) echo ' checked="checked"'; ?> /> Investment strategy</label><br />
                            <label for="q_26_4"><input type="checkbox" value="4" name="q_26" id="q_26_4"<?php if(isset($_SESSION['q_26']) && in_array('4', $_SESSION['q_26'])) echo ' checked="checked"'; ?> /> Funding children's education</label><br />
                            <label for="q_26_5"><input type="checkbox" value="5" name="q_26" id="q_26_5"<?php if(isset($_SESSION['q_26']) && in_array('5', $_SESSION['q_26'])) echo ' checked="checked"'; ?> /> Retirement planning</label><br />
                            <label for="q_26_6"><input type="checkbox" value="6" name="q_26" id="q_26_6"<?php if(isset($_SESSION['q_26']) && in_array('6', $_SESSION['q_26'])) echo ' checked="checked"'; ?> /> Maximising income in retirement</label><br />
                            <label for="q_26_7"><input type="checkbox" value="7" name="q_26" id="q_26_7"<?php if(isset($_SESSION['q_26']) && in_array('7', $_SESSION['q_26'])) echo ' checked="checked"'; ?> /> Tax mitigation</label><br />
                            <label for="q_26_8"><input type="checkbox" value="8" name="q_26" id="q_26_8" onclick="show_q_26_other_box();"<?php if(isset($_SESSION['q_26']) && in_array('8', $_SESSION['q_26'])) echo ' checked="checked"'; ?> /> Other</label> <span id="q_26_other_box" style="display:<?php if(isset($_SESSION['q_26']) && in_array('8', $_SESSION['q_26'])) echo 'inline'; else echo 'none'; ?>;"><input type="text" name="q_26_other" id="q_26_other" class="op_form" value="<?php echo $_SESSION['q_26_other']; ?>" style="width:200px;" /></span>
                        </div>
                    </div>
                    
                    <div class="fieldset_bottom">
                       	<div class="fieldset_bottom_left">
                        	<a href="javascript:void(0);" onclick="go_to_step(5);" class="back">&laquo; Back</a>
                        </div>
                        <div class="fieldset_bottom_right">
                        	<input type="image" src="<?php bloginfo('siteurl'); ?>/wp-content/plugins/online-predictor/img/next-step.jpg" name="next_step_6" id="next_step_6" alt="Next step" title="Next step" onclick="move_next_step(6);" />
                        </div>
                    </div>
                    
				</div>				

                <div class="form" id="form_7" style="display:<?php if(intval($this->selected_item)==7) echo 'block'; else echo 'none'; ?>;">
                
                    <div class="fieldset">
                        <div class="fieldset_item_first" id="fieldset_item_q_27">
                            <h2>Have you made a Will?</h2>
                            <label for="q_27_y"><input type="radio" value="y" name="q_27" id="q_27_y"<?php if($_SESSION['q_27']=='y') echo ' checked="checked"'; ?> /> yes</label>
                            <label for="q_27_n"><input type="radio" value="n" name="q_27" id="q_27_n"<?php if($_SESSION['q_27']=='n') echo ' checked="checked"'; ?> /> no</label>
                        </div>
                    </div>

                    <div class="fieldset">
                        <div class="fieldset_item">
                            <h2>Disclaimer</h2>The strategy which will follow is based on the information you have entered. This is merely a suggestion for your benefit and should not be interepreted as financial advice from Appleton Gerrard. For an in depth recommendation, email us your views on the suggested strategy and we will do out utmost to help you explore options available to you further.
                       </div>
                    </div>
                    
                    <div class="fieldset_bottom">
                       	<div class="fieldset_bottom_left">
                        	<a href="javascript:void(0);" onclick="go_to_step(6);" class="back">&laquo; Back</a>
                        </div>
                        <div class="fieldset_bottom_right">
                        	<input type="image" src="<?php bloginfo('siteurl'); ?>/wp-content/plugins/online-predictor/img/suggest_a_strategy.jpg" name="suggest_a-strategy" id="suggest_a-strategy" alt="Suggest a strategy" title="Suggest a strategy" onclick="suggest_a_strategy(7);" />
                        </div>
                    </div>
                    
				</div>
                
			</div>
           <?php
	}

}

add_action( "the_content", "op_init");

?>
